Can I use OpenJDK with JBoss-4.2.3.GA?

I’m using JBoss-4.2.3.GA with Oracle JDK 1.5.

However, I want to move to OpenJDK. So, what are versions of OpenJDK which integrated with the JBoss-4.2.3.GA?

Answer

Not with ancient Java 5. As per OpenJDK versions the OpenJDK project started with Java 7 and was retrofitted into Java 6 but there is no version for Java 5. OpenJDK is an almost exact copy of OracleJDK since Java 8, previous versions have known issues e.g. worse 2D graphics performance.

You could try updating to Java 6 which is supported as per JBoss 4.2.3 release notes but Java 6 is officially dead for two years now. Investing into dead technology is counterproductive.

Your best course of action is to update JBoss 4.2.3.GA to something recent, this version was released over ten years ago!

Leave a Reply

Your email address will not be published. Required fields are marked *